Implement a way for admins to blacklist Flickr users
Closed, ResolvedPublic

Description

This is a blocker for deployment to the Commons.

The flickr uploader *must* honor the community-maintained user blacklist at

https://commons.wikimedia.org/wiki/User:FlickreviewR/bad-authors

Otherwise we get far too many flickr-washed files.

The location of the blacklist must be configurable on-wiki.


Version: unspecified
Severity: enhancement

bzimport set Reference to bz42307.
Lupo created this task.Via LegacyNov 20 2012, 10:13 PM
Krenair added a comment.Via ConduitNov 20 2012, 10:22 PM

(In reply to comment #0)

The location of the blacklist must be configurable on-wiki.

How exactly? As far as I know you can't add a message for configuration any more and creating a whole new special page for this seems like overkill.

Lupo added a comment.Via ConduitNov 20 2012, 10:37 PM

(In reply to comment #1)

(In reply to comment #0)
> The location of the blacklist must be configurable on-wiki.

How exactly? As far as I know you can't add a message for configuration any
more and creating a whole new special page for this seems like overkill.

"How exactly?" -- not my problem. But I presume if UW is ever to be used on other wikis, one cannot hard-code that blacklist location; and having it in the site-wide config is a very inconvenient approach.

Why can't one use a MediaWiki message for this, which would contain the name of the on-wiki page containing this blacklist?

Lupo added a comment.Via ConduitNov 20 2012, 10:38 PM

Sample flickr URL of an image of a currently blacklisted user:

http://www.flickr.com/photos/endtohell/2194960865/

(No, I don't know off-hand why this user was blacklisted.)

Krenair added a comment.Via ConduitNov 20 2012, 11:15 PM

(In reply to comment #2)

But I presume if UW is ever to be used on
other wikis, one cannot hard-code that blacklist location; and having it in the
site-wide config is a very inconvenient approach.

You are correct, if this blacklisting feature is implemented it must not be hardcoded to Wikimedia Commons.

Why can't one use a MediaWiki message for this, which would contain the name of
the on-wiki page containing this blacklist?

Configuration-by-message is a bad thing and to be discouraged.

Lupo added a comment.Via ConduitNov 21 2012, 6:47 AM

(In reply to comment #4)

(In reply to comment #2)
> Why can't one use a MediaWiki message for this, which would contain the name of
> the on-wiki page containing this blacklist?
Configuration-by-message is a bad thing and to be discouraged.

Why?

Lupo added a comment.Via ConduitNov 21 2012, 6:56 AM

I strongly disagree with the classification of this bug as a mere "enhancement". Trust me, I know the Commons, and as the author of Flinfo, I know that the blacklisting ability is *crucial* for acceptance of this whole thing at the Commons.

Without blacklisting ability, this will fall through. (Rightly so, I think. Flickrwashing is a perennial problem, and some blacklisting mechanism is the only way Commons can currently fight it.)

Whether a blacklist is the best mechanism is open to discussion; if you can come up with some more clever scheme that also works, all the better. If a blacklist is used, where it is located is also not that important, but in any case the blacklist must be (a) available for Commons admins to modify, and (b) accessible by external tools.

Isarra added a comment.Via ConduitNov 21 2012, 7:01 AM

I would like to second everything Lupo just said.

Nischayn22 added a comment.Via ConduitNov 21 2012, 11:06 AM

I think we will need an API to find if a user is blacklisted, not sure how to store/make this list

Aklapper added a comment.Via ConduitNov 21 2012, 3:17 PM

(In reply to comment #6)

I strongly disagree with the classification as a mere "enhancement".

New functionality is by definition severity = "enhancement", no matter how important it is or not. You can express priority by the priority field.

Isarra added a comment.Via ConduitNov 24 2012, 8:17 AM

Which field is the severity and which the priority, though? And if an enhancement is a blocker, which wording would be more likely to bring in needed eyes, or would either?

And does saving a comment save other fiddling with this thing?

Aklapper added a comment.Via ConduitNov 26 2012, 5:11 PM

(In reply to comment #10)

Which field is the severity and which the priority, though?

First is priority, second is severity. The UI is really bad, yeah. :(

And if an enhancement is a blocker, which wording would be more likely

to bring in needed eyes, or would either?

Good arguments, CC'ing people, setting an appropriate priority, maybe voting.

And does saving a comment save other fiddling with this thing?

Yes, it saves ALL changes.

Nischayn22 added a comment.Via ConduitJan 6 2013, 4:45 AM

A config parameter can be set which points to the page where such a list exists.. It will be the responsibility of the admins to protect this page. Flickr can blacklist a user by just matching with this page, but this has to be done on the client side using an AJAX call.
Is this proposal fine?

Nischayn22 added a comment.Via ConduitJan 8 2013, 3:41 PM

Fix attempt for single photo uploads only https://gerrit.wikimedia.org/r/#/c/42770/

Nischayn22 added a comment.Via ConduitJan 29 2013, 5:02 AM

(In reply to comment #13)

Fix attempt for single photo uploads only
https://gerrit.wikimedia.org/r/#/c/42770/

This tries to only validate users on client-side, a check on the server side need to be implemented too. I guess this has to be done in the APIUpload with support from UploadWizard by a hook maybe?

Nischayn22 added a comment.Via ConduitFeb 7 2013, 5:48 AM

Removing assigned as I am not working on server-side implementation.

Nischayn22 added a comment.Via ConduitMay 23 2013, 10:31 AM

Was waiting on this for some consensus and advice. That didn't come in much amount so I am trying to rework on this myself again.

https://gerrit.wikimedia.org/r/#/c/65102/

gerritbot added a comment.Via ConduitMay 23 2013, 11:45 AM

Related URL: https://gerrit.wikimedia.org/r/65109 (Gerrit Change I97f8be973e942a732b9873c3b05f2e7790940503)

gerritbot added a comment.Via ConduitJul 24 2013, 5:16 PM

Change 65102 merged by jenkins-bot:
hook to intercept upload_by_url

https://gerrit.wikimedia.org/r/65102

Aklapper added a comment.Via ConduitSep 25 2013, 9:50 AM

Nischay: Patch got merged - can this bug report be closed as RESOLVED FIXED or is more work required?

Nischayn22 added a comment.Via ConduitSep 25 2013, 6:25 PM

I think this will need some more work, maybe in the TitleBlacklist extension or UW where the hook I created should be used.

I am not working on this currently so resetting assignee.

gerritbot added a comment.Via ConduitJan 1 2014, 5:16 PM

Change 42770 had a related patch set uploaded by Gergő Tisza:
A way to blacklist flickr users.

https://gerrit.wikimedia.org/r/42770

gerritbot added a comment.Via ConduitJan 17 2014, 10:44 PM

Change 65109 merged by jenkins-bot:
Add blacklisting feature for flickr in backend

https://gerrit.wikimedia.org/r/65109

gerritbot added a comment.Via ConduitJan 17 2014, 10:45 PM

Change 42770 merged by jenkins-bot:
A way to blacklist flickr users.

https://gerrit.wikimedia.org/r/42770

Tgr added a comment.Via ConduitJan 17 2014, 10:56 PM

Should be done. Accepts usernames (the ones in the URL - Flickr calls them path_alias) as well. You can use # at the beginning of the line for comments.

Tgr added a comment.Via ConduitJan 17 2014, 11:20 PM

(In reply to comment #0)

The location of the blacklist must be configurable on-wiki.

It is now configurable per-wiki, but not on-wiki. (That seemed pointless - how often does the location of the blacklist change?)

gerritbot added a comment.Via ConduitJan 17 2014, 11:22 PM

Change 108167 had a related patch set uploaded by Gergő Tisza:
Make UploadWizard respect the Flickr blacklist on Commons

https://gerrit.wikimedia.org/r/108167

Tgr added a comment.Via ConduitJan 17 2014, 11:35 PM

Also includes a new API - search for flickrblacklist at https://commons.wikimedia.beta.wmflabs.org/w/api.php

gerritbot added a comment.Via ConduitJan 22 2014, 7:17 PM

Change 108167 merged by jenkins-bot:
Make UploadWizard respect the Flickr blacklist on Commons

https://gerrit.wikimedia.org/r/108167

Aklapper added a comment.Via ConduitApr 25 2014, 6:59 AM

All patches merged a while ago - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?

Gilles added a project: Multimedia.Via WebDec 4 2014, 9:22 AM
Gilles raised the priority of this task from "High" to "Unbreak Now!".Via WebDec 4 2014, 10:11 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles lowered the priority of this task from "Unbreak Now!" to "High".Via ConduitDec 4 2014, 11:21 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.